ServerEvents.recipes(event=> {
  event.custom({
    "type": "thermal:smelter",
    "ingredients": [
    {
      "item": "thermal:enderium_ingot",
      "count": 1
    },
    {
      "item": "minecraft:leather",
      "count": 1
    }
  ],
  "result": [
    {
      "item": "minecraft:phantom_membrane",
      "count": 1
    }
  ],
  "energy": 4000
  })
 })

ServerEvents.recipes(event =>{
  event.shaped('thermal:machine_chiller', [" a ", "bcb", "ded"], {
    a: "minecraft:glass",
    b: "create:precision_mechanism",
    c: "thermal:machine_frame",
    d: "thermal:invar_gear",
    e: "thermal:rf_coil"
    })
  .id('thermal:machine_chiller')
})